<div *ngIf="!formVisible" (click)="edit()">
    <span *ngIf="!empty" class="not-empty">{{value}}</span>
    <span *ngIf="empty" class="empty">{{hint}}</span>
</div>
<div *ngIf="formVisible">
    <input type="text" [(ngModel)]="formValue" (keyup)="onKeyUp($event)" >
</div>
